MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032044Open CASCADE[OCCT] OCCT:Foundation Classespublic2021-01-09 23:572021-01-16 14:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032044: Foundation Classes - NCollection_Array2::Resize() does not allocate pointer array
DescriptionNCollection_Array2::Resize() has a logical error before calling NCollection_Array2::Allocate() leading to no allocation of pointer array.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032008verifiedbugmaster Modeling Algorithms - disallow implicit copy of Extrema algorithms 
child of 0030478closedapn Foundation Classes, NCollection_Array2 - provide Resize/Move methods consistent to NCollection_Array1 

-  Notes
(0098025)
git (administrator)
2021-01-10 00:34

Branch CR32044 has been created by kgv.

SHA-1: b748da8fd72da682d5cbf7b5312317f603609494


Detailed log of new commits:

Author: kgv
Date: Sun Jan 10 00:04:32 2021 +0300

    0032044: Foundation Classes - NCollection_Array2::Resize() does not allocate pointer array
    
    NCollection_Array2::Resize() has been fixed to set myDeletable before calling Allocate().
(0098035)
kgv (developer)
2021-01-10 03:41

Patch is ready for review
- OCCT branch: CR32044.

http://jenkins-test-12.nnov.opencascade.com/view/CR32044-master-KGV/ [^]
(0098087)
osa (developer)
2021-01-12 11:29

The patch was reviewed
(0098146)
bugmaster (administrator)
2021-01-16 13:30

Combination -
OCCT branch : IR-2021-01-15
master SHA - 6fab0b34288ef3f29ecf4eabc0283540460dbc31
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-15 SHA - a8521c25e41405ac279e65e1fcde5de75a344b0b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17754.160000000134 / 17720.07000000011 [+0.19%]
Products
Total CPU difference: 12412.630000000105 / 12419.360000000095 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19336.3125 / 19330.015625 [+0.03%]
Products
Total CPU difference: 13740.03125 / 13831.828125 [-0.66%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 0f26ed54
Timestamp: 2021-01-09 21:04:32
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032044: Foundation Classes - NCollection_Array2::Resize() does not allocate pointer array

NCollection_Array2::Resize() has been fixed to set myDeletable before calling Allocate().
mod - src/NCollection/NCollection_Array2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-09 23:57 kgv New Issue
2021-01-09 23:57 kgv Assigned To => kgv
2021-01-10 00:34 git Note Added: 0098025
2021-01-10 00:36 kgv Relationship added child of 0030478
2021-01-10 00:36 kgv Relationship added related to 0032008
2021-01-10 00:36 kgv Product Version 7.5.0 => 7.4.0
2021-01-10 03:41 kgv Note Added: 0098035
2021-01-10 03:41 kgv Assigned To kgv => osa
2021-01-10 03:41 kgv Status new => resolved
2021-01-12 11:29 osa Note Added: 0098087
2021-01-12 11:29 osa Assigned To osa => bugmaster
2021-01-12 11:29 osa Status resolved => reviewed
2021-01-16 13:30 bugmaster Note Added: 0098146
2021-01-16 13:30 bugmaster Status reviewed => tested
2021-01-16 13:51 bugmaster Test case number => Not required
2021-01-16 14:12 bugmaster Changeset attached => occt master 0f26ed54
2021-01-16 14:12 bugmaster Status tested => verified
2021-01-16 14:12 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker